Subject: [Rfced-future] Issue 31: Updates RFC 8729?

From: Eliot Lear <[email-masked]>
Date: Sat, 28 Aug 2021 10:56:20 +0200

In re-reading RFC 8729, it's pretty clear that we need to make clear 
that we are updating this document.  For one, it is referencing RFC 
8728, which I believe we are obsoleting.  For another, it mentions the 
RSOC, and describes the oversight role of the LLC for these functions, 
which we have now redone.

Regarding Section 4.1.3, the text reads as follows:

 > 4.1.3.  Process Change

>    From time to time, it may be necessary to change the approval
>    processes for any given stream, or even add or remove streams.  This
>    may occur when the RFC Editor, the IAB, the body responsible for a
>    given stream of documents, or the community determines that there are
>    issues to be resolved in general for RFC approval or for per-stream
>    approval processes.
>
>    In this framework, the general approach is that the IAB will work
>    with the RFC Editor and other parties to get community input, and it
>    will verify that any changes appropriately account for community
>    requirements.

Does this group believe that the IAB has a role to approve changes in 
approval process flows of other streams, and in particular, the new 
stream we have created?

Also, once we resolve the name of the role of the RSE, we have to decide 
whether we need to indicate that as an Update to this and other documents.

Note that there are many parts of RFC 8729 we probably *don't* want to 
change, such as Section 4.3 and 4.4, and Section 5.

Eliot

---

From: Brian E Carpenter <[email-masked]>
Date: Sun, 29 Aug 2021 10:36:57 +1200

On 28-Aug-21 20:56, Eliot Lear wrote:
> In re-reading RFC 8729, it's pretty clear that we need to make clear that we are updating this document.  For one, it is referencing RFC 8728, which I believe we are obsoleting.  For another, it mentions the 
RSOC, and describes the oversight role of the LLC for these functions, which we have now redone.
> Does this group believe that the IAB has a role to approve changes in approval process flows of other streams, and in particular, the new stream 
we have created?

I'm happy with the current text as quoted above, so I want to simply duck 
your question, except to say that not having the IAB as part of the consensus to approve this document (including the new stream) would be a blunder.

> Also, once we resolve the name of the role of the RSE, we have to decide whether we need to indicate that as an Update to this and other documents.

Yes, but won't that just be part of a monster review of the other related 
documents?

> Note that there are many parts of RFC 8729 we probably *don't* want to change, such as Section 4.3 and 4.4, and Section 5.

Agreed. But there seem to be three choices:
1) Incorporate them here by reference. In other words, we do Updates: 8729 and have a section that details which sections are kept and which sections are obsoleted.
2) Incorporate them here by value, and do Obsoletes: 8729.
3) Do RFC8729bis.
These are equivalent operations but we need to pick one.

    Brian

---

From: Eliot Lear <[email-masked]>
Date: Mon, 30 Aug 2021 07:56:00 +0200

Hi Brian,

> Yes, but won't that just be part of a monster review of the other related

That is what I am attempting to get started.  Feel free to join in!

> These are equivalent operations but we need to pick one.

That sums it up nicely.  If we Update RFC 8729, we need to describe what 
has changed.  The introduction of the document itself is going to be 
obsolete.

Eliot